## org.irisa.genouest.logol.utils.model
Class Commons

    java.lang.Object
      org.irisa.genouest.logol.utils.model.Commons

    public class Commons

extends java.lang.Object

General usage functions or constants

Version:
  1.0
Author:
  osallou

Field Summary
`static java.lang.String` `AND`
`static java.lang.String` `ANYSIGN`
`static java.lang.String[]` `beginAccessors`
`static java.lang.String` `BEGINSIGN`
`static java.lang.String[]` `contentAccessors`
`static java.lang.String` `CONTENTSIGN`
`static java.lang.String[]` `costAccessors`
`static java.lang.String` `COSTSIGN`
`static java.lang.String` `data`
`static java.lang.String` `description`
`static java.lang.String[]` `distAccessors`
`static java.lang.String` `DISTANCESIGN`
`static java.lang.String[]` `endAccessors`
`static java.lang.String` `ENDSIGN`
`static java.lang.String` `in`
`static java.lang.String` `label`
`static java.lang.String` `LENGTHSIGN`
`static java.lang.String` `LOGOLMOD`
`static java.lang.String` `LOGOLVAR`
`static java.lang.String` `MINUS`
`static java.lang.String` `morphism`
`static java.lang.String` `name`
`static java.lang.String` `nbrepeat`
`static java.lang.String` `NEGATIVESIGN`
`static java.lang.String` `not_begin`
`static java.lang.String` `not_cost`
`static java.lang.String` `not_data`
`static java.lang.String` `not_dist`
`static java.lang.String` `not_end`
`static java.lang.String` `not_size`
`static java.lang.String` `OR`
`static java.lang.String` `out`
`static java.lang.String` `overlap`
`static java.lang.String` `OVERLAP`
`static java.lang.String` `params`
`static java.lang.String` `parent`
`static java.lang.String` `PLUS`
`static java.lang.String[]` `repeatAccessors`
`static java.lang.String[]` `saveAccessors`
`static java.lang.String` `SAVESIGN`
`static java.lang.String[]` `sizeAccessors`
`static java.lang.String` `spacer`
`static java.lang.String[]` `spacerAccessors`
`static java.lang.String` `stc_cost`
`static java.lang.String` `stc_dist`
`static java.lang.String` `stg_begin`
`static java.lang.String` `stg_content`
`static java.lang.String` `stg_end`
`static java.lang.String` `stg_save`
`static java.lang.String` `stg_size`

Constructor Summary
`Commons()`

Method Summary
`static int` `getModelCounter()` Get a counter value for the models.
`static int` `getVarCounter()` Get a counter value for the variables.
`static void` `reset()` Reset variable maps

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AND

    public static final java.lang.String AND

See Also:
  Constant Field Values

### OVERLAP

    public static final java.lang.String OVERLAP

See Also:
  Constant Field Values

### OR

    public static final java.lang.String OR

See Also:
  Constant Field Values

### COSTSIGN

    public static final java.lang.String COSTSIGN

See Also:
  Constant Field Values

### DISTANCESIGN

    public static final java.lang.String DISTANCESIGN

See Also:
  Constant Field Values

### LENGTHSIGN

    public static final java.lang.String LENGTHSIGN

See Also:
  Constant Field Values

### CONTENTSIGN

    public static final java.lang.String CONTENTSIGN

See Also:
  Constant Field Values

### BEGINSIGN

    public static final java.lang.String BEGINSIGN

See Also:
  Constant Field Values

### ENDSIGN

    public static final java.lang.String ENDSIGN

See Also:
  Constant Field Values

### SAVESIGN

    public static final java.lang.String SAVESIGN

See Also:
  Constant Field Values

### ANYSIGN

    public static final java.lang.String ANYSIGN

See Also:
  Constant Field Values

### NEGATIVESIGN

    public static final java.lang.String NEGATIVESIGN

See Also:
  Constant Field Values

### beginAccessors

    public static final java.lang.String[] beginAccessors

### endAccessors

    public static final java.lang.String[] endAccessors

### sizeAccessors

    public static final java.lang.String[] sizeAccessors

### costAccessors

    public static final java.lang.String[] costAccessors

### distAccessors

    public static final java.lang.String[] distAccessors

### contentAccessors

    public static final java.lang.String[] contentAccessors

### saveAccessors

    public static final java.lang.String[] saveAccessors

### spacerAccessors

    public static final java.lang.String[] spacerAccessors

### repeatAccessors

    public static final java.lang.String[] repeatAccessors

### LOGOLVAR

    public static final java.lang.String LOGOLVAR

See Also:
  Constant Field Values

### LOGOLMOD

    public static final java.lang.String LOGOLMOD

See Also:
  Constant Field Values

### PLUS

    public static final java.lang.String PLUS

See Also:
  Constant Field Values

### MINUS

    public static final java.lang.String MINUS

See Also:
  Constant Field Values

### label

    public static final java.lang.String label

See Also:
  Constant Field Values

### description

    public static final java.lang.String description

See Also:
  Constant Field Values

### overlap

    public static final java.lang.String overlap

See Also:
  Constant Field Values

### parent

    public static final java.lang.String parent

See Also:
  Constant Field Values

### params

    public static final java.lang.String params

See Also:
  Constant Field Values

### name

    public static final java.lang.String name

See Also:
  Constant Field Values

### morphism

    public static final java.lang.String morphism

See Also:
  Constant Field Values

### not_data

    public static final java.lang.String not_data

See Also:
  Constant Field Values

### data

    public static final java.lang.String data

See Also:
  Constant Field Values

### in

    public static final java.lang.String in

See Also:
  Constant Field Values

### out

    public static final java.lang.String out

See Also:
  Constant Field Values

### not_begin

    public static final java.lang.String not_begin

See Also:
  Constant Field Values

### stg_begin

    public static final java.lang.String stg_begin

See Also:
  Constant Field Values

### not_end

    public static final java.lang.String not_end

See Also:
  Constant Field Values

### stg_end

    public static final java.lang.String stg_end

See Also:
  Constant Field Values

### not_size

    public static final java.lang.String not_size

See Also:
  Constant Field Values

### stg_size

    public static final java.lang.String stg_size

See Also:
  Constant Field Values

### stg_content

    public static final java.lang.String stg_content

See Also:
  Constant Field Values

### stg_save

    public static final java.lang.String stg_save

See Also:
  Constant Field Values

### not_cost

    public static final java.lang.String not_cost

See Also:
  Constant Field Values

### stc_cost

    public static final java.lang.String stc_cost

See Also:
  Constant Field Values

### not_dist

    public static final java.lang.String not_dist

See Also:
  Constant Field Values

### stc_dist

    public static final java.lang.String stc_dist

See Also:
  Constant Field Values

### spacer

    public static final java.lang.String spacer

See Also:
  Constant Field Values

### nbrepeat

    public static final java.lang.String nbrepeat

See Also:
  Constant Field Values

Constructor Detail

### Commons

    public Commons()

Method Detail

### reset

    public static void reset()

  Reset variable maps

### getModelCounter

    public static int getModelCounter()

  Get a counter value for the models. Counter is incremented at each call.

  Returns:
    the counter value

### getVarCounter

    public static int getVarCounter()

  Get a counter value for the variables. Counter is incremented at each call.

  Returns:
    the counter value